goodmorning everybody
i want to get the plane coordinates of a TPSView in CATIA vba so i can compere those coordinates with the annotations in the product, here is the code
Dim vwTPSView As DrawingView
Dim dX As Double
Dim dY As Double
Dim dViewPlaneX1 As Double
Dim dViewPlaneY1 As Double
Dim...
hi everybody, i have a wired issue i guess
i have a macro that opens a product and save it as IGES
buet the thing is that when i try to open the IGES file it came as part.igs.tmp
hope you can help me, thank you so much
Set obj = CreateObject("Scripting.FileSystemObject")
Set Folder =...
hi every body,
i dont really know how to solve this, my code count the faces of the part and calculate the area of the surface but some how is not getting the reference
hope you can help me.
Sub CATMain()
CATIA.ActiveDocument.Selection.Clear
Set objsel = CATIA.ActiveDocument.Selection...
hi every body
im having a trouble tryng to get the isometric view. the code im using is the following.
under this code i change the view of the part and trying to get the isometric so the part can rotate from the isometric, but what is doing, is rotaring to isometric from the last rotate
my...
hi everybody
i have an issue, hope you can help me with this
well i have a product with abot 130 parts, and i need to know the distance between each part,
doing it manually is terrible, hope you can help me with this,
thank you
hi everybody
I have no idea on how to solve this issue, I hope you can help me with this
here is the thing, I have the following part, when you open it, the part is in the space and is how I get the part,
what I need to do, is to align the center line with the x-axis, the Y pointing up and Z...
hello guys
I have this code, and when running in in CATIA it gave me an error, hope you can help me
Dim oFoundEdges
Set oFoundEdges = New Collection '(the component active x can not create the object "collection")
For j = 1 To osel.Count
sEdgeName = osel.Item(j).Value.name
Dim...
hi every one
here again giving trouble to all of you guys, I want to get my solid transparency, and I found a command SetRealOpacity but some how I can not set it
here is the code im using
CATIA.ActiveDocument.Selection.Clear
Set objsel = CATIA.ActiveDocument.Selection
objsel.Search...
hi everyone
I have an issue with a macro
I have this macro that takes screen shoots, but it takes big areas that I don't need,
here is a picture of what im doing,
you will see a square, well what I need to know if its possible to take the screen shot but only the part not all the areas...
hi guys
I have this issue, when I run my macro some time it works perfectly, but other times it gave me this message Run time Exception "OK To Terminate"
I don't know why, the properties of my machine are, RAM 3.44, windows 7 ultimate, Pentium(R) Dual-Core CPU E5400 @ 2.70 GHz 2.69 GHz de 32...
hi every body, I have the next code
in this code I change the extension of my screenshot to JPG but for some reason it keeps give in me as a BMP resolution, and the issue is that the photos are really heavy
and the number of photos that I take are like 50 or more. I will need for this...
hi guys
I am having trouble creating a macro
here is the thing, I have a surface selected, then I colored it, and I wanted to take a picture, but sometimes the face is hided,
what I need to know is, if there is a way to change the view of my part by the selected surface,
like when you do...
good afternoon, this is a great fórum, sorry for my english, i am from mexico, i try my self to be understandable,
im having some dificulties making a macro, i dont know how can use the spine function in a macro, using some edges as referenes, if you have a example code that can guide me...